import VideoPhotoData from "@/Pool/VideoPhotoData";
import VideoTaskData from "@/Pool/VideoTaskData";
import TreeDataPool from "@/Pool/TreeData";
import CardList from "@/Pool/CardList";
import DataStackPool from "@/Pool/dataStack"
import AuthData from '@/Pool/AuthData';

/* eslint-disable */
const onlyVideoPhotoData = new VideoPhotoData
const onlyVideoTaskData = new VideoTaskData
const onlyTreeDataPool = new TreeDataPool
const onlyDataStack = new DataStackPool
const onlyCardList = new CardList
const onlyAuthData = new AuthData

const mixin = {
  data() {
    return {
      TreeDataPool: onlyTreeDataPool,
      VideoPhotoData: onlyVideoPhotoData,
      CardList: onlyCardList,
      DataStackPool: onlyDataStack,
      VideoTaskData: onlyVideoTaskData,
      AuthData: onlyAuthData,
    };
  },
};
export default mixin;